classification
Title: selectmodule.c: refleak
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.3
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: Suman.Saha, petri.lehtinen
Priority: normal Keywords: needs review, patch

Created on 2011-09-20 14:54 by Suman.Saha, last changed 2011-10-25 18:25 by petri.lehtinen. This issue is now closed.

Files
File name Uploaded Description Edit
python_patch4 Suman.Saha, 2011-09-20 14:54 Patch review
Messages (2)
msg144333 - (view) Author: Suman Saha (Suman.Saha) Date: 2011-09-20 14:54
Something that is allocated using PySequence_Fast is not freed on one error path.
msg146387 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2011-10-25 18:25
PySequence_Fast_GET_ITEM expects that the object is valid and the index is within bounds, and never returns NULL. There's no need to decref and actually there's even no need to check the return value of PySequence_Fast_GET_ITEM.
History
Date User Action Args
2011-10-25 18:25:47petri.lehtinensetstatus: open -> closed
resolution: rejected
messages: + msg146387

stage: patch review -> resolved
2011-10-24 07:04:35petri.lehtinensetkeywords: + patch, needs review
nosy: + petri.lehtinen
2011-09-21 19:31:49skrahsettitle: Resource is not released before returning from the functiion -> selectmodule.c: refleak
stage: patch review
components: + Extension Modules
versions: + Python 3.3
2011-09-20 14:54:33Suman.Sahacreate